### Function

# Gio AppInfo get_default_for_uri_scheme_async

since: 2.74

#### Declaration

    void
    g_app_info_get_default_for_uri_scheme_async (
      const char* uri_scheme,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously gets the default application for handling URIs with the given URI scheme. A URI scheme is the initial part of the URI, up to but not including the ‘:’, e.g. “http”, “ftp” or “sip”.

Available since: 2.74

This function completes asynchronously. Use `g_app_info_get_default_for_uri_scheme_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uri_scheme`

  Type: `const char*`

  A string containing a URI scheme.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is done.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.